package com.railway.business.safetool.mapper;

import com.github.pagehelper.Page;
import com.railway.business.safetool.domain.BaseSafetyTool;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 安全工具-基础数据
* @author wuhonghao
* @date 2021/12/01
*/
@Mapper
@Repository
public interface BaseSafetyToolMapper {

    /**
    * 新增
    */
    int insert(BaseSafetyTool baseSafetyTool);

    /**
    * 删除
    */
    int delete(@Param("toolId") String toolId);

    /**
    * 更新
    */
    int update(BaseSafetyTool baseSafetyTool);

    /**
    * 获取单个
    */
    BaseSafetyTool getInfo(@Param("toolId") String toolId);

    /**
    * 查询列表
    */
    Page<BaseSafetyTool> getList(BaseSafetyTool baseSafetyTool);

}
